Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512927 - Hardwired haproxy.cfg defaults_options
Summary: Hardwired haproxy.cfg defaults_options
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-tripleo
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: beta
: 13.0 (Queens)
Assignee: Michele Baldessari
QA Contact: Udi Shkalim
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-14 13:00 UTC by Robin Cernin
Modified: 2018-06-27 13:39 UTC (History)
13 users (show)

Fixed In Version: puppet-tripleo-8.3.1-0.20180304033908.ed3285e.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:39:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1732176 None None None 2017-11-14 13:01:43 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:39:48 UTC
OpenStack gerrit 532141 None master: MERGED puppet-tripleo: Let haproxy_defaults be overridable (I52b8f528e334e4d243ac7f506b9f293dab9f478d) 2018-03-21 13:44:23 UTC

Description Robin Cernin 2017-11-14 13:00:34 UTC
Description of problem:

We are having hardwired haproxy.cfg defaults_options:

https://github.com/openstack/puppet-tripleo/blob/master/manifests/haproxy.pp#L828-L834

We are looking for configuring the tune.ssl.default-dh-param 4096 as additional parameter to defaults_options yet we have not found a way to do it except using sed in post-configuration script.

We probably need something like in global_options https://github.com/openstack/puppet-tripleo/blob/master/manifests/haproxy.pp#L827

Version-Release number of selected component (if applicable):

Ocata

Comment 4 errata-xmlrpc 2018-06-27 13:39:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.